TEC_Stat_Lookup = {
	["EMPTY_SOCKET_BLUE"] = "Blue Gem",
	["EMPTY_SOCKET_COGWHEEL"] = "Cogwheel Gem",
	["EMPTY_SOCKET_META"] = "Meta Gem",
	["EMPTY_SOCKET_PRISMATIC"] = "Prismatic Gem",
	["EMPTY_SOCKET_RED"] = "Red Gem",
	["EMPTY_SOCKET_YELLOW"] = "Yellow Gem",
	["ITEM_MOD_AGILITY_SHORT"] = "Agi",
	["ITEM_MOD_ARCANE_RESISTANCE_SHORT"] = "Arcane Res",
	["ITEM_MOD_ATTACK_POWER_SHORT"] = "AP",
	["ITEM_MOD_CRIT_RATING_SHORT"] = "Crit",
	["ITEM_MOD_DAMAGE_PER_SECOND_SHORT"] = "DPS",
	["ITEM_MOD_DODGE_RATING_SHORT"] = "Dodge",
	["ITEM_MOD_EXPERTISE_RATING_SHORT"] = "Exp",
	["ITEM_MOD_FIRE_RESISTANCE_SHORT"] = "Fire Res",
	["ITEM_MOD_FROST_RESISTANCE_SHORT"] = "Frost Res",
	["ITEM_MOD_HASTE_RATING_SHORT"] = "Haste",
	["ITEM_MOD_HIT_RATING_SHORT"] = "Hit",
	["ITEM_MOD_INTELLECT_SHORT"] = "Int",
	["ITEM_MOD_MASTERY_RATING_SHORT"] = "Mast",
	["ITEM_MOD_NATURE_RESISTANCE_SHORT"] = "Nature Res",
	["ITEM_MOD_PARRY_RATING_SHORT"] = "Parry",
	["ITEM_MOD_PVP_POWER_SHORT"] = "PvP Power",
	["ITEM_MOD_RESILIENCE_RATING_SHORT"] = "Resil",
	["ITEM_MOD_SHADOW_RESISTANCE_SHORT"] = "Shadow Res",
	["ITEM_MOD_SPELL_PENETRATION_SHORT"] = "Spell Pen",
	["ITEM_MOD_SPELL_POWER_SHORT"] = "Spellpower",
	["ITEM_MOD_SPIRIT_SHORT"] = "Spir",
	["ITEM_MOD_STAMINA_SHORT"] = "Stam",
	["ITEM_MOD_STRENGTH_SHORT"] = "Str",
	["RESISTANCE0_NAME"] = "Armor",
	["RESISTANCE1_NAME"] = "Holy Res",
	["RESISTANCE2_NAME"] = "Fire Res",
	["RESISTANCE3_NAME"] = "Nature Res",
	["RESISTANCE4_NAME"] = "Frost Res",
	["RESISTANCE5_NAME"] = "Shadow Res",
	["RESISTANCE6_NAME"] = "Arcane Res",
};

TEC_Slot_Lookup = {
	["INVTYPE_HEAD"] = { ids = { 1 } },
	["INVTYPE_NECK"] = { ids = { 2 } },
	["INVTYPE_SHOULDER"] = { ids = { 3 } },
	-- ignore shirts -- ["INVTYPE_BODY"] = { ids = { 4 } },
	["INVTYPE_CHEST"] = { ids = { 5 } },
	["INVTYPE_ROBE"] = { ids = { 5 } },
	["INVTYPE_WAIST"] = { ids = { 6 } },
	["INVTYPE_LEGS"] = { ids = { 7 } },
	["INVTYPE_FEET"] = { ids = { 8 } },
	["INVTYPE_WRIST"] = { ids = { 9 } },
	["INVTYPE_HAND"] = { ids = { 10 } },
	["INVTYPE_FINGER"] = { ids = { 11, 12 } },
	["INVTYPE_TRINKET"] = { ids = { 13,	14 } },
	["INVTYPE_CLOAK"] = { ids = { 15 } },
	["INVTYPE_WEAPON"] = { ids = { 16, 17 } },
	["INVTYPE_SHIELD"] = { ids = { 17 } },
	["INVTYPE_2HWEAPON"] = { ids = { 16, 17 } },
	["INVTYPE_WEAPONMAINHAND"] = { ids = { 16 } },
	["INVTYPE_WEAPONOFFHAND"] =	{ ids = { 17 } },
	["INVTYPE_HOLDABLE"] = { ids = { 17 } },
	["INVTYPE_RANGED"] = { ids = { 16, 17 } },
	["INVTYPE_RANGEDRIGHT"] = { ids = { 16,	17 } },
	-- ignore tabards -- ["INVTYPE_TABARD"] = { ids = { 19 } }
};

TEC_ClassColor_Lookup = {
	["Death Knight"] = "cffc41f3b",
	["Druid"] = "cffff7d0a",
	["Hunter"] = "cffabd473",
	["Mage"] = "cff69ccf0",
	["Monk"] = "cff00ff96",
	["Paladin"] = "cfff58cba",
	["Priest"] = "cffffffff",
	["Rogue"] = "cfffff569",
	["Shaman"] = "cff0070de",
	["Warlock"] = "cff9482c9",
	["Warrior"] = "cffc79c6e",
};

TEC_QualityColor_Lookup = {
	[0] = "cff9d9d9d", -- poor
	[1] = "cffffffff", -- commoon
	[2] = "cff1eff00", -- uncommon
	[3] = "cff0070ff", -- rare
	[4] = "cffa335ee", -- epic
	[5] = "cffff8000", -- legendary
	[6] = "cffe6cc80", -- artifact
	[7] = "cffe6cc80", -- heirloom
};

TEC_Class_Lookup = {
	["Death Knight"] = {
		["Armor"] = { ["Cloth"] = 1, ["Leather"] = 1, ["Mail"] = 1, ["Plate"] = 1, ["Miscellaneous"] = 1 },
		["Weapon"] = { ["One-Handed Axes"] = 1, ["One-Handed Maces"] = 1, ["One-Handed Swords"] = 1, ["Polearms"] = 1, ["Two-Handed Axes"] = 1, ["Two-Handed Maces"] = 1, ["Two-Handed Swords"] = 1 },
	},
	["Druid"] = {
		["Armor"] = { ["Cloth"] = 1, ["Leather"] = 1, ["Miscellaneous"] = 1 },
		["Weapon"] = { ["Daggers"] = 1, ["Fist Weapons"] = 1, ["One-Handed Maces"] = 1, ["Polearms"] = 1, ["Staves"] = 1, ["Two-Handed Maces"] = 1 },
	},
	["Hunter"] = {
		["Armor"] = { ["Cloth"] = 1, ["Leather"] = 1, ["Mail"] = 50, ["Miscellaneous"] = 1 },
		["Weapon"] = { ["Bows"] = 1, ["Crossbows"] = 1, ["Fist Weapons"] = 1, ["Guns"] = 1, ["One-Handed Axes"] = 1, ["One-Handed Swords"] = 1, ["Polearms"] = 1, ["Staves"] = 1, ["Two-Handed Axes"] = 1, ["Two-Handed Swords"] = 1 },
	},
	["Mage"] = {
		["Armor"] = { ["Cloth"] = 1, ["Miscellaneous"] = 1 },
		["Weapon"] = { ["Wands"] = 1, ["Daggers"] = 1, ["One-Handed Swords"] = 1, ["Staves"] = 1 },
	},
	["Monk"] = {
		["Armor"] = { ["Cloth"] = 1, ["Leather"] = 1, ["Miscellaneous"] = 1 },
		["Weapon"] = { ["Fist Weapons"] = 1, ["One-Handed Axes"] = 1, ["One-Handed Maces"] = 1, ["One-Handed Swords"] = 1, ["Polearms"] = 1, ["Staves"] = 1 },
	},
	["Paladin"] = {
		["Armor"] = { ["Cloth"] = 1, ["Mail"] = 1, ["Leather"] = 1, ["Plate"] = 50, ["Shields"] = 1, ["Miscellaneous"] = 1 },
		["Weapon"] = { ["One-Handed Axes"] = 1, ["One-Handed Maces"] = 1, ["One-Handed Swords"] = 1, ["Polearms"] = 1, ["Two-Handed Axes"] = 1, ["Two-Handed Maces"] = 1, ["Two-Handed Swords"] = 1 },
	},
	["Priest"] = {
		["Armor"] = { ["Cloth"] = 1, ["Miscellaneous"] = 1 },
		["Weapon"] = { ["Daggers"] = 1, ["One-Handed Maces"] = 1, ["Staves"] = 1, ["Wands"] = 1 },
	},
	["Rogue"] = {
		["Armor"] = { ["Cloth"] = 1, ["Leather"] = 1, ["Miscellaneous"] = 1 },
		["Weapon"] = { ["Bows"] = 1, ["Crossbows"] = 1, ["Daggers"] = 1, ["Fist Weapons"] = 1, ["One-Handed Axes"] = 1, ["One-Handed Maces"] = 1, ["One-Handed Swords"] = 1 },
	},
	["Shaman"] = {
		["Armor"] = { ["Cloth"] = 1, ["Leather"] = 1, ["Mail"] = 50, ["Shields"] = 1, ["Miscellaneous"] = 1 },
		["Weapon"] = { ["Daggers"] = 1, ["Fist Weapons"] = 1, ["One-Handed Axes"] = 1, ["One-Handed Maces"] = 1, ["Staves"] = 1, ["Two-Handed Axes"] = 1, ["Two-Handed Maces"] = 1 },
	},
	["Warlock"] = {
		["Armor"] = { ["Cloth"] = 1, ["Miscellaneous"] = 1 },
		["Weapon"] = { ["Daggers"] = 1, ["One-Handed Swords"] = 1, ["Staves"] = 1, ["Wands"] = 1 },
	},
	["Warrior"] = {
		["Armor"] = { ["Cloth"] = 1, ["Leather"] = 1, ["Mail"] = 1, ["Plate"] = 50, ["Shields"] = 1, ["Miscellaneous"] = 1 },
		["Weapon"] = { ["Bows"] = 1, ["Crossbows"] = 1, ["Daggers"] = 1, ["Fist Weapons"] = 1, ["Guns"] = 1, ["One-Handed Axes"] = 1, ["One-Handed Maces"] = 1, ["One-Handed Swords"] = 1, ["Polearms"] = 1, ["Staves"] = 1, ["Two-Handed Axes"] = 1, ["Two-Handed Maces"] = 1, ["Two-Handed Swords"] = 1 },
	},
};